Skip to navigation

Update PlateRecord

Update PlateRecord.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

plate_record_idstringRequired
ID of the PlateRecord.

Request

This endpoint expects an object.
barcodestringOptional
Barcode to record as a plate field in the metadata layer.
concentrationLayerslist of objectsOptional
heightintegerOptional
isHiddenbooleanOptional
Whether the plate record is hidden from the plate's sidebar list.
metadataLayerslist of objectsOptional
namestringOptional
parameterLayerslist of objectsOptional
plateSchemaIdstring or nullOptional
storageIdstringOptional
Inventory storage ID to record as a plate field in the metadata layer.
wellslist of objectsOptional
widthintegerOptional

Response

OK
__typenamestringOptional
barcodestring or nullOptional
The plate's barcode, when one has been recorded.
createdAtstring or nullOptional
heightintegerOptional
idstringOptional
isHiddenbooleanOptional
Whether the plate record is hidden from the plate's sidebar list.
layerslist of objectsOptional
modifiedAtstring or nullOptional
namestringOptional
plateSchemaobject or nullOptional

The plate schema associated with this plate record. Used as the default schema when converting to an inventory plate via bulk-put-in-inventory; can be overridden per-item in that call.

storageIdstring or nullOptional
The plate's storage location identifier, when one has been recorded.
widthintegerOptional

Errors

400
Plate Record Update Request Bad Request Error
403
Plate Record Update Request Forbidden Error
404
Plate Record Update Request Not Found Error
409
Plate Record Update Request Conflict Error
429
Plate Record Update Request Too Many Requests Error
500
Plate Record Update Request Internal Server Error